using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace muskafidi_de
{
    public partial class zacazi : Form
    {
        public zacazi()
        {
            InitializeComponent();
            CenterToParent();
        }

        private void zacazi_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "_06_muskafidi_deDataSet.Zacazi". При необходимости она может быть перемещена или удалена.
            this.zacaziTableAdapter1.Fill(this._06_muskafidi_deDataSet.Zacazi);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "muskafidi_deDataSet.Zacazi". При необходимости она может быть перемещена или удалена.
            this.zacaziTableAdapter.Fill(this.muskafidi_deDataSet.Zacazi);

        }

        private void zacaziBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.zacaziBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.muskafidi_deDataSet);

        }

        private void label1_Click(object sender, EventArgs e)
        {
            Admin administrator = new Admin();
            administrator.Show();
            this.Hide();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            zacaziBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.zacaziBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.muskafidi_deDataSet);
        }
    }
}
